Package: io.vertx.groovy.ext.shell.command

## [Groovy] Class CommandBuilder

- io.vertx.groovy.ext.shell.command.CommandBuilder

- A build for Vert.x Shell command.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CommandBuilder (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Command` | `build(Vertx vertx)` Build the command
    `static CommandBuilder` | `command(java.lang.String name)` Create a new commmand builder, the command is responsible for managing the options and arguments via the #args() arguments.
    `static CommandBuilder` | `command(CLI cli)` Create a new commmand with its CLI descriptor.
    `CommandBuilder` | `completionHandler(io.vertx.core.Handler<Completion> handler)` Set the command completion handler, the completion handler when the user asks for contextual command line completion, usually hitting the tab key.
    `java.lang.Object` | `getDelegate()`
    `CommandBuilder` | `processHandler(io.vertx.core.Handler<CommandProcess> handler)` Set the command process handler, the process handler is called when the command is executed.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### CommandBuilder(java.lang.Object delegate)

  - ### Method Detail

    - #### Command build(Vertx vertx)

      Build the command

      Returns:
        the built command
      Parameters:
        `vertx` - the vertx instance

    - #### static CommandBuilder command(java.lang.String name)

      Create a new commmand builder, the command is responsible for managing the options and arguments via the #args() arguments.

      Returns:
        the command
      Parameters:
        `name` - the command name

    - #### static CommandBuilder command(CLI cli)

      Create a new commmand with its CLI descriptor. This command can then retrieve the parsed CommandProcess.commandLine when it executes to know get the command arguments and options.

      Returns:
        the command
      Parameters:
        `cli` - the cli to use

    - #### CommandBuilder completionHandler(io.vertx.core.Handler<Completion> handler)

      Set the command completion handler, the completion handler when the user asks for contextual command line completion, usually hitting the tab key.

      Returns:
        this command object
      Parameters:
        `handler` - the completion handler

    - #### java.lang.Object getDelegate()

    - #### CommandBuilder processHandler(io.vertx.core.Handler<CommandProcess> handler)

      Set the command process handler, the process handler is called when the command is executed.

      Returns:
        this command object
      Parameters:
        `handler` - the process handler